# $Revision: 1.53 $, $Date: 2002/04/25 09:39:05 $
Summary:	Enlightenment Window Manager
Summary(pl):	X Window menader - Enlightenment
Name:		enlightenment
Version:	0.16.5
Release:	5
License:	GPL
Group:		X11/Window Managers
Source0:	ftp://ftp.enlightenment.org/pub/enlightenment/enlightenment/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.RunWM
Source3:	%{name}.wm_style
Patch0:		%{name}-config-path.patch
Patch1:		%{name}-makefile_fix.patch
Patch2:		%{name}-ac_am_fixes.patch
Patch3:		%{name}-use_sys_snprintf.patch
URL:		http://www.enlightenment.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel >= 0.2.13
BuildRequires:	fnlib-devel
BuildRequires:	freetype1-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.1
BuildRequires:	imlib-devel >= 1.9.8
BuildRequires:	libghttp-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libungif-devel
BuildRequires:	zlib-devel
Requires:	xinitrc >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_wmpropsdir	%{_datadir}/wm-properties
%define		_sysconfdir	/etc/X11/enlightenment

%description
Enlightenment is a Windowmanager for X-Windows that is designed to be
powerful, extensible, configurable and able to be really good looking.

%description -l pl
Enlightenment jest najpotniejszym i najpikniejszym
window-menaderem jaki kiedykolwiek zosta stworzony dla Linuxa ;)

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
libtoolize --copy --force
gettextize --copy --force
aclocal
autoconf
rm -f missing
automake -a -c -f
CFLAGS="-I%{_includedir}/freetype %{rpmcflags}"
%configure \
	--enable-sound=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_wmpropsdir},/etc/sysconfig/wmstyle}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/%{name}.sh
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/wmstyle/%{name}.names
install %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}

gzip -9nf AUTHORS README NEWS

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%config %{_sysconfdir}
%attr(755,root,root) /etc/sysconfig/wmstyle/*.sh
/etc/sysconfig/wmstyle/*.names
%attr(755,root,root) %{_bindir}/*
%{_datadir}/enlightenment
%{_wmpropsdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: enlightenment.spec,v $
Revision 1.53  2002/04/25 09:39:05  kloczek
- release 5.

Revision 1.52  2002/04/16 16:43:58  mmazur
- back to the old freetype1

Revision 1.51  2002/04/13 20:48:27  mmazur
- changed freetype1 header files directory... so needed to fix a few
packages; rel++; STBR
- NOTE: this is needed for mozilla to build correctly (not to conflict
with freetype1)
- NOTE2: not one binary file was altered since the previous release

Revision 1.50  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.49  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/08/10 19:41:01  kloczek
- added use_sys_snprintf patch for using system snprintf() if it is possible
  (on glibc system it is possible and patcha makes smaller E binariries).

Revision 1.45  2001/08/10 19:33:17  saq
- use /etc/X11/enlightenment as config file dir, mark it %config
- release 4
- STB

Revision 1.44  2001/05/30 13:55:16  kloczek
- added ac_am_fixes patch,
- fixed man pages path,
- regenerate all am/ac/lt files.

Revision 1.43  2001/05/30 09:31:58  kloczek
- release 3.

Revision 1.42  2001/04/15 18:02:27  qboosh
- moved /usr/X11R6/share/gnome/wm-properties to /usr/X11R6/share/wm-properties

Revision 1.41  2001/03/19 20:37:32  kloczek
- release 2: rebuild against freetype1.

Revision 1.40  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.39  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.38  2000/10/01 06:21:10  kloczek
- updated to 0.16.5,
- added using %%find_lang macro.

Revision 1.37  2000/09/27 08:08:50  kloczek
- make spec %%{debug} friendly.

Revision 1.36  2000/08/29 14:08:37  baggins
- release 3
- requires xinitrc 3.0
- added scripts and configs for xinitrc 3.0

Revision 1.35  2000/08/14 16:55:07  dobrek
- Added BuildRequires:  gettext-devel

Revision 1.34  2000/07/29 16:55:02  kloczek
- spec adapterized.

Revision 1.33  2000/07/28 13:56:57  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.32  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/06/06 23:41:59  bonkey
- adapterized a little

Revision 1.30  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.29  2000/05/02 21:21:57  baggins
- fixed version, minor cleanup

Revision 1.28  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.27  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.25  2000/02/11 04:09:02  kloczek
- added makefile_fix patch with small fix on themes installing (now
  enlightenment build correctly).

Revision 1.24  2000/02/10 22:21:12  mkochano
- Missing 'BuildRequires'

Revision 1.23  2000/02/01 12:29:20  waszi
- small fixes

Revision 1.22  2000/01/29 01:19:36  kloczek
- added missing -d for install.

Revision 1.21  2000/01/29 00:29:07  kloczek
- typo.

Revision 1.20  2000/01/28 22:14:45  kloczek
- added desktop file for enlightenment.

Revision 1.19  2000/01/28 22:07:39  kloczek
- updated to 0.16.3,
- spec adapterized,
- more rpm macros,
- added enlightenment man pages,
- updated Buildreqiores rules.

Revision 1.18  2000/01/25 11:15:48  waszi
- small fixes for freetype

Revision 1.17  1999/12/24 19:57:41  alchemyx
- fixed URL and Source address

Revision 1.16  1999/11/13 10:41:39  waszi
- updated to 16.2

Revision 1.15  1999/07/28 13:24:27  baggins
- fixed paths

Revision 1.14  1999/07/28 12:48:07  baggins
- stripping binaries

Revision 1.13  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.12  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Mar 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.15.4-4]
- aadded --enable-fsstd to ./configure parameters,
- gzipping %doc (instead bzipping2),
- config files moved to /etc/X11/enlightenment,
- removed Requires (autogenerate).

* Sat Feb  6 1999 Micha Kuratczyk <kurkens@polbox.com>
  [0.15.0-3d]
- added %config macros
- changed Group to X11/Window Managers
- changed BuildRoot to /tmp/buildroot-%%{name}-%%{version}

* Fri Feb 05 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.15.0-2.1d]
- updated to latest snapshoot,
- added Require: stringlist, Gtk-prel.

* Mon Jul 20 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [0.14-2d]
- build against glibc-2.1,
- translation modified for pl,
- added Require: Gtk-perl,
- minor modifications of spec file.

* Tue Jun 2 1998 The Rasterman <raster@redhat.com>
- wrote .spec file
